<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       Schema::create('custom_products', function (Blueprint $table) {
            $table->id();
            $table->string('master_id')->nullable();
            $table->string('jewelry_type')->nullable(); // ring/earring/pendant
            $table->string('shape')->nullable();
            $table->string('head_style')->nullable();
            $table->string('shank_style')->nullable();
            $table->string('metal_head')->nullable();
            $table->string('shank_metals')->nullable();
            $table->string('ring_size')->nullable();
            $table->string('carat_size')->nullable();
            $table->string('image_path')->nullable();
            $table->string('shopify_product_id')->nullable();
            $table->string('shopify_handle')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('custom_products');
    }
}
